Description: Allow Gradle to correctly build this package
Author: Olek Wojnar <olek@debian.org>
Forwarded: not-needed
Last-Update: 2020-06-15

--- a/build.gradle
+++ b/build.gradle
@@ -8,34 +8,20 @@
     jcenter()
   }
   dependencies {
-    classpath "net.ltgt.gradle:gradle-apt-plugin:0.10",
-            "io.codearte.gradle.nexus:gradle-nexus-staging-plugin:0.8.0",
-            "gradle.plugin.com.dorongold.plugins:task-tree:1.3.1"
+    classpath "net.ltgt.gradle:gradle-apt-plugin:0.10"
   }
 }
 
 apply plugin: 'java'
-apply plugin: 'io.codearte.nexus-staging'
 
 project.version = "1.16.0" // {x-version-update:common-protos-java:current}
 
-if (project.hasProperty('ossrhUsername') && project.hasProperty('ossrhPassword')) {
-  // Nexus staging plugin only works at root project level
-  // See https://github.com/Codearte/gradle-nexus-staging-plugin/issues/47
-  nexusStaging {
-    username = ossrhUsername
-    password = ossrhPassword
-    packageGroup = "com.google.api"
-  }
-}
-
 subprojects {
   apply plugin: 'java'
   apply plugin: 'maven'
   apply plugin: 'idea'
   apply plugin: 'signing'
   apply plugin: 'maven-publish'
-  apply plugin: 'com.dorongold.task-tree'
 
   group = "com.google.api"
 
@@ -59,73 +45,7 @@
     }
   }
 
-  // Publishing
-  // ----------
-
-  afterEvaluate {
-    if (!(project.name ==~ "^grpc-.+" || project.name ==~ "^proto-.+")) {
-      return
-    }
 
-    publishing {
-      publications {
-        mavenJava(MavenPublication) {
-          version = project.version
-
-          from components.java
-
-          artifact javadocJar
-          artifact sourcesJar
-
-          pom {
-            name = 'Google Cloud Common Protos for Java'
-            packaging = 'jar'
-            artifactId = project.name
-            description = 'Google Cloud Common Protos for Java'
-            url = 'https://github.com/googleapis/common-protos-java'
-
-            scm {
-              url = 'https://github.com/googleapis/common-protos-java'
-              connection = 'scm:git:https://github.com/googleapis/common-protos-java.git'
-            }
-
-            licenses {
-              license {
-                name = 'Apache'
-                url = 'https://github.com/googleapis/common-protos-java/blob/master/LICENSE'
-              }
-            }
-
-            developers {
-              developer {
-                id = 'GoogleAPIs'
-                name = 'GoogleAPIs'
-                email = 'googleapis@googlegroups.com'
-                url = 'https://github.com/googleapis/common-protos-java'
-                organization = 'Google LLC'
-                organizationUrl = 'https://www.google.com'
-              }
-            }
-          }
-        }
-      }
-      repositories {
-        maven {
-          url 'https://oss.sonatype.org/service/local/staging/deploy/maven2/'
-          credentials {
-            username = project.hasProperty('ossrhUsername') ? project.getProperty('ossrhUsername') : null
-            password = project.hasProperty('ossrhPassword') ? project.getProperty('ossrhPassword') : null
-          }
-        }
-      }
-    }
-
-    signing {
-      if (!project.hasProperty('skip.signing')) {
-        sign publishing.publications.mavenJava
-      }
-    }
-  }
 }
 
 // JavaDoc
--- a/settings.gradle
+++ b/settings.gradle
@@ -1,4 +1,2 @@
 include "grpc-google-common-protos"
 include "proto-google-common-protos"
-// The following can be removed once gax-java migrates to Gradle 5.x
-enableFeaturePreview('IMPROVED_POM_SUPPORT')
